
mgl-texatlas License
====================

mgl-texatlas is distributed under the zlib license.

    Copyright (c) 2023 Acerola Software

    This software is provided 'as-is', without any express or implied
    warranty.  In no event will the authors be held liable for any damages
    arising from the use of this software.

    Permission is granted to anyone to use this software for any purpose,
    including commercial applications, and to alter it and redistribute it
    freely, subject to the following restrictions:
      
    1. The origin of this software must not be misrepresented; you must not
       claim that you wrote the original software. If you use this software
       in a product, an acknowledgment in the product documentation would be
       appreciated but is not required. 
    2. Altered source versions must be plainly marked as such, and must not be
       misrepresented as being the original software.
    3. This notice may not be removed or altered from any source distribution.


Third-Party Software Licenses
=============================

mgl-texatlas uses these libraries:

 - JsonCpp (MIT license or public domain)
 - libpng (PNG Reference Library License)
 - zlib (zlib license)


JsonCpp
-------

    The JsonCpp library's source code, including accompanying documentation,
    tests and demonstration applications, are licensed under the following
    conditions...

    Baptiste Lepilleur and The JsonCpp Authors explicitly disclaim copyright in all
    jurisdictions which recognize such a disclaimer. In such jurisdictions,
    this software is released into the Public Domain.

    In jurisdictions which do not recognize Public Domain property (e.g. Germany as of
    2010), this software is Copyright (c) 2007-2010 by Baptiste Lepilleur and
    The JsonCpp Authors, and is released under the terms of the MIT License (see below).

    In jurisdictions which recognize Public Domain property, the user of this
    software may choose to accept it either as 1) Public Domain, 2) under the
    conditions of the MIT License (see below), or 3) under the terms of dual
    Public Domain/MIT License conditions described here, as they choose.

    The MIT License is about as close to Public Domain as a license can get, and is
    described in clear, concise terms at:

       http://en.wikipedia.org/wiki/MIT_License

    The full text of the MIT License follows:

    ========================================================================
    Copyright (c) 2007-2010 Baptiste Lepilleur and The JsonCpp Authors

    Permission is hereby granted, free of charge, to any person
    obtaining a copy of this software and associated documentation
    files (the "Software"), to deal in the Software without
    restriction, including without limitation the rights to use, copy,
    modify, merge, publish, distribute, sublicense, and/or sell copies
    of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be
    included in all copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
    NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
    BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
    ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
    CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE.
    ========================================================================
    (END LICENSE TEXT)

    The MIT license is compatible with both the GPL and commercial
    software, affording one all of the rights of Public Domain with the
    minor nuisance of being required to keep the above copyright notice
    and license text in the source code. Note also that by accepting the
    Public Domain "license" you can re-license your copy using whatever
    license you like.


libpng
------

    COPYRIGHT NOTICE, DISCLAIMER, and LICENSE
    =========================================

    PNG Reference Library License version 2
    ---------------------------------------

     * Copyright (c) 1995-2022 The PNG Reference Library Authors.
     * Copyright (c) 2018-2022 Cosmin Truta.
     * Copyright (c) 2000-2002, 2004, 2006-2018 Glenn Randers-Pehrson.
     * Copyright (c) 1996-1997 Andreas Dilger.
     * Copyright (c) 1995-1996 Guy Eric Schalnat, Group 42, Inc.

    The software is supplied "as is", without warranty of any kind,
    express or implied, including, without limitation, the warranties
    of merchantability, fitness for a particular purpose, title, and
    non-infringement.  In no event shall the Copyright owners, or
    anyone distributing the software, be liable for any damages or
    other liability, whether in contract, tort or otherwise, arising
    from, out of, or in connection with the software, or the use or
    other dealings in the software, even if advised of the possibility
    of such damage.

    Permission is hereby granted to use, copy, modify, and distribute
    this software, or portions hereof, for any purpose, without fee,
    subject to the following restrictions:

     1. The origin of this software must not be misrepresented; you
        must not claim that you wrote the original software.  If you
        use this software in a product, an acknowledgment in the product
        documentation would be appreciated, but is not required.

     2. Altered source versions must be plainly marked as such, and must
        not be misrepresented as being the original software.

     3. This Copyright notice may not be removed or altered from any
        source or altered source distribution.


    PNG Reference Library License version 1 (for libpng 0.5 through 1.6.35)
    -----------------------------------------------------------------------

    libpng versions 1.0.7, July 1, 2000, through 1.6.35, July 15, 2018 are
    Copyright (c) 2000-2002, 2004, 2006-2018 Glenn Randers-Pehrson, are
    derived from libpng-1.0.6, and are distributed according to the same
    disclaimer and license as libpng-1.0.6 with the following individuals
    added to the list of Contributing Authors:

        Simon-Pierre Cadieux
        Eric S. Raymond
        Mans Rullgard
        Cosmin Truta
        Gilles Vollant
        James Yu
        Mandar Sahastrabuddhe
        Google Inc.
        Vadim Barkov

    and with the following additions to the disclaimer:

        There is no warranty against interference with your enjoyment of
        the library or against infringement.  There is no warranty that our
        efforts or the library will fulfill any of your particular purposes
        or needs.  This library is provided with all faults, and the entire
        risk of satisfactory quality, performance, accuracy, and effort is
        with the user.

    Some files in the "contrib" directory and some configure-generated
    files that are distributed with libpng have other copyright owners, and
    are released under other open source licenses.

    libpng versions 0.97, January 1998, through 1.0.6, March 20, 2000, are
    Copyright (c) 1998-2000 Glenn Randers-Pehrson, are derived from
    libpng-0.96, and are distributed according to the same disclaimer and
    license as libpng-0.96, with the following individuals added to the
    list of Contributing Authors:

        Tom Lane
        Glenn Randers-Pehrson
        Willem van Schaik

    libpng versions 0.89, June 1996, through 0.96, May 1997, are
    Copyright (c) 1996-1997 Andreas Dilger, are derived from libpng-0.88,
    and are distributed according to the same disclaimer and license as
    libpng-0.88, with the following individuals added to the list of
    Contributing Authors:

        John Bowler
        Kevin Bracey
        Sam Bushell
        Magnus Holmgren
        Greg Roelofs
        Tom Tanner

    Some files in the "scripts" directory have other copyright owners,
    but are released under this license.

    libpng versions 0.5, May 1995, through 0.88, January 1996, are
    Copyright (c) 1995-1996 Guy Eric Schalnat, Group 42, Inc.

    For the purposes of this copyright and license, "Contributing Authors"
    is defined as the following set of individuals:

        Andreas Dilger
        Dave Martindale
        Guy Eric Schalnat
        Paul Schmidt
        Tim Wegner

    The PNG Reference Library is supplied "AS IS".  The Contributing
    Authors and Group 42, Inc. disclaim all warranties, expressed or
    implied, including, without limitation, the warranties of
    merchantability and of fitness for any purpose.  The Contributing
    Authors and Group 42, Inc. assume no liability for direct, indirect,
    incidental, special, exemplary, or consequential damages, which may
    result from the use of the PNG Reference Library, even if advised of
    the possibility of such damage.

    Permission is hereby granted to use, copy, modify, and distribute this
    source code, or portions hereof, for any purpose, without fee, subject
    to the following restrictions:

     1. The origin of this source code must not be misrepresented.

     2. Altered versions must be plainly marked as such and must not
        be misrepresented as being the original source.

     3. This Copyright notice may not be removed or altered from any
        source or altered source distribution.

    The Contributing Authors and Group 42, Inc. specifically permit,
    without fee, and encourage the use of this source code as a component
    to supporting the PNG file format in commercial products.  If you use
    this source code in a product, acknowledgment is not required but would
    be appreciated.


zlib
----

    Copyright notice:

     (C) 1995-2022 Jean-loup Gailly and Mark Adler

      This software is provided 'as-is', without any express or implied
      warranty.  In no event will the authors be held liable for any damages
      arising from the use of this software.

      Permission is granted to anyone to use this software for any purpose,
      including commercial applications, and to alter it and redistribute it
      freely, subject to the following restrictions:

      1. The origin of this software must not be misrepresented; you must not
         claim that you wrote the original software. If you use this software
         in a product, an acknowledgment in the product documentation would be
         appreciated but is not required.
      2. Altered source versions must be plainly marked as such, and must not be
         misrepresented as being the original software.
      3. This notice may not be removed or altered from any source distribution.

      Jean-loup Gailly        Mark Adler
      jloup@gzip.org          madler@alumni.caltech.edu

