/* ------------------------------------------------------------------------- */
/*!
 *  \file       main.cc
 *  \brief      mtk-test メイン
 *  \date       Since: January 26, 2023. 16:16:50 JST.
 *  \author     Acerola
 */
/* ------------------------------------------------------------------------- */

#include <stdio.h>

#include <mtk/text_format.h>

/* ------------------------------------------------------------------------- */
/*!
 *  \brief      メイン
 */
/* ------------------------------------------------------------------------- */
int main(int argc, char *argv[])
{
    for (int i = 0; i < argc; i++)
    {
        puts(MTK::Format("{}:{}", {i, argv[i]}).c_str());
    }

    return 0;
}

// vim: et ts=4 sw=4 sts=4
