// SPDX-License-Identifier: Zlib
/* ------------------------------------------------------------------------- */
/*!
 *  \file       message.h
 *  \brief      表示メッセージ
 *  \date       Since: February 28, 2023. 9:23:34 JST.
 *  \author     Acerola
 */
/* ------------------------------------------------------------------------- */

#ifndef INCGUARD_MESSAGE_H_1677543814
#define INCGUARD_MESSAGE_H_1677543814

#include <mtk/text_format.h>

#include "message/message_data.h"

namespace texatlas
{
void InitMessage() noexcept;
void PutMessage(MsgID msgID, const MTK::FormatArgs &args = {}) noexcept;
void PutError(MsgID msgID, const MTK::FormatArgs &args = {}) noexcept;
void PutWarning(MsgID msgID, const MTK::FormatArgs &args = {}) noexcept;
}   // namespace texatlas

#endif	// INCGUARD_MESSAGE_H_1677543814


// vim: et ts=4 sw=4 sts=4
